Tag: android gradle

Fehler beim Auflösen: com.google.firebase: firebase-messaging: 10.0.0

Wollen Sie Firebase zum Senden von PUSH verwenden und so das Token des Gerätes abrufen. Und so ging dieses Tutorial . Aber bekomme den folgenden Fehler, wenn gradle synchronisieren gradle . Was ist das Problem? Drücken Sie try again aber hat keine Wirkung. Failed to resolve: com.google.firebase:firebase-messaging:10.0.0

Benutze das Paket eines Geschmacks im Manifest

Angesichts der folgenden Aromen für eine App: productFlavors { pro { applicationId = "com.example.my.pkg.pro" } free { applicationId = "com.example.my.pkg.free" } } Und ich muss die GCM-Berechtigungen deklarieren: <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" /> <permission android:name="com.example.gcm.permission.C2D_MESSAGE" android:protectionLevel="signature" /> <uses-permission android:name="com.example.gcm.permission.C2D_MESSAGE" /> <application …> <receiver android:name=".GcmBroadcastReceiver" android:permission="com.google.android.c2dm.permission.SEND" > <intent-filter> <action android:name="com.google.android.c2dm.intent.RECEIVE" /> <category android:name="com.example.gcm" /> </intent-filter> </receiver> <service android:name=".GcmIntentService" […]

Es ist nicht möglich, ein nacktes Einzelprojekt in einem neu installierten Android-Studio zu bauen und zu reinigen

Ich habe vor kurzem die neueste stabile Version von Android Studio installiert, auf meinem Ubuntu 14.04 LTS. SDK wurde ordnungsgemäß konfiguriert. Ich habe aus der leeren Aktivitätsvorlage ein einziges 'Activity'-Projekt erstellt und keine Änderungen vorgenommen. Wenn ich versuche zu bauen oder zu reinigen, bekomme ich sporadisch die followi: Failed to complete Gradle execution. Cause: Gradle […]

Fehler: Ausführung fehlgeschlagen für Task ': app: dexDebug'. Beendet mit Nicht-Null-Ausgangswert 2 mit Facebook Fresco

Ich habe jeden einzelnen Thread zu diesem Thema gelesen und ich kann keine Antwort auf mein Problem finden. Nach dem Hinzufügen der Fresco lib bekomme ich diesen Fehler beim Aufbau meiner App. Die problematische Linie ist: compile 'com.facebook.fresco:fresco:0.5.3+' Der Fehler: Fehler: Ausführung fehlgeschlagen für Task ': app: dexDebug'. Com.android.ide.common.process.Process.xcessException: org.gradle.process.internal.ExecException: Prozess 'Befehl' C: \ Programme […]

Gradle: Wie man zwei Anwendungen für jeden Geschmack mit verschiedenen Assets Ordner erstellen:

Derzeit arbeite ich an einer Anwendung, die 5 Aromen hat und das ist der Teil meiner build.gradle Dateien, die zählt: buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.14.0' } } apply plugin: 'com.android.application' repositories { mavenCentral() } android { compileSdkVersion 20 buildToolsVersion '20.0.0' signingConfigs { release { storeFile file("") storePassword "password" keyAlias "alias" […]

Gibt es eine Möglichkeit, nur einen bestimmten Satz von Tests in einem Android-Gradle-Projekt auszuführen?

Ich habe ein Android / Gradle Projekt. Wann immer ich Tests ausführen möchte, laufe ich: ./gradlew connectedInstrumentTest Die alle meine Tests unter dem Testordner meines Projektes ausführt. Mein Test-Ordner hat mehrere Automatisierungstests sowie Nicht-Automatisierungstests. Ich bin meistens daran interessiert, die schnellen Nicht-Automatisierungstests ohne die langsamen Automatisierungstests durchzuführen. Gibt es eine Möglichkeit, nur eine bestimmte Reihe […]

Fehler: Minimale unterstützte Gradle Version ist 2.10, Gradle 3.x wird noch nicht unterstützt.

Voller Titel wollte ich : Fehler: Minimale unterstützte Gradle Version ist 2.10, Gradle 3.x wird noch nicht unterstützt. Aktuelle Version ist 2.4. Wenn Sie den Gradle-Wrapper verwenden, versuchen Sie, die DistributionUrl in … \ gradle-wrapper.properties zu gradle-2.10-all.zip zu bearbeiten Ich habe ein altes Projekt, das ich versuche, in Android Studio 2.2 (Vorschau 6) zu öffnen […]

Was soll ich für compileSdkVersion, minSdkVersion und targetSdkVersion setzen?

Ich bin besorgt darüber, was soll ich die compileSdkVersion , minSdkVersion und targetSdkVersion . Meine Sorge ist vor allem, wenn ich die compileSdkVersion auf 23, die die letzte jetzt ist, wird ältere Gerät in der Lage sein, es zu laufen? Wie kann ich genau wissen, was mein minSdkVersion soll, um sicherzustellen, dass das Telefon, das […]

Produkt Geschmack: Duplikat gefunden

Ich habe eine sehr dumme Frage, aber ich sitze hier vor meiner App seit Stunden, aber ich kann nicht verstehen, was das Problem ist. Ich habe eine Android-App (geschrieben in kotlin) und ich möchte zwei Produkt-Aromen und überschreiben eine Klasse / Datei in den Produkt Geschmack: Also mein gradle script ist das: apply plugin: 'com.android.application' […]

Keine Cache-Version von com.android.tools.build:gradle:1.2.3 verfügbar für Offline-Modus

Ich habe JetBrains IDEA 15.0.2 mit Android-Unterstützung auf meinem Computer installiert, der vom Internet getrennt ist. Danach gibt die Projekt-Synchronisierung einen Fehler, dass gradle nicht existiert ist, also löse ich das Problem durch das Downloaden von gradle 2.2.1 und das Extrahieren in die entsprechende Position. Danach tritt ein neuer Sync-Fehler auf, der sagt: "Keine Cache-Version […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.